[testing/bazel] Make the functest harness configurable
This commit replaces util/opentitantool_test_runner.sh with a test
runner script that takes an arbitrary test harness (besides
opentitantool).
It also adds parameters in Bazel to allow this to be specified on a
per-test basis in preparation for E2E tests.
Signed-off-by: Miles Dai <milesdai@google.com>
diff --git a/util/opentitan_functest_runner.sh b/util/opentitan_functest_runner.sh
new file mode 100755
index 0000000..dbc331a
--- /dev/null
+++ b/util/opentitan_functest_runner.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+# Copyright lowRISC contributors.
+# Licensed under the Apache License, Version 2.0, see LICENSE for details.
+# SPDX-License-Identifier: Apache-2.0
+#
+# A shell script for executing rust-based tests for functional and e2e tests.
+# The test runner should be passed in as the first argument.
+
+set -e
+
+if [ -z "$TEST_HARNESS" ]; then
+ echo "TEST_HARNESS variable needs to be specified."
+ exit 1
+fi
+
+readonly REPO_TOP="$TEST_SRCDIR/$TEST_WORKSPACE"
+echo Invoking test: "${TEST_HARNESS}" "$@"
+RUST_BACKTRACE=1 ${TEST_HARNESS} "$@"